.input-subscribe-email {
    display: flex;
    flex-direction: row;
    height: 45px;
    gap: 1px;
}

.input-subscribe-email .field {
    border: 0.4px solid rgba(var(--color-text), 0.20);
    background: transparent;
}

.input-subscribe-email .field__suffix {
    padding: 0px;
    height: 100%;
}

.input-subscribe-email--icon {
    flex-direction: column;
    height: auto;
}

.input-subscribe-email--icon .field {
    height: 50px;
    border-color: rgba(var(--color-text), 0.4);
}

.input-subscribe-email--icon .field__info {
    display: flex;
    align-items: center;
    gap: 6px;
    margin-top: 8px;
}

.input-subscribe-email--icon .field__info svg {
    flex: 0 0 auto;
    width: 16px;
    height: 16px;
    background: transparent;
    color: currentColor;
}

.input-subscribe-email--icon .button {
    aspect-ratio: 1 / 1;
}

.input-subscribe-email--icon .button svg {
    width: 100%;
    height: 100%;
    border-radius: 50px;
    color: rgb(var(--color-button-text));
    background: rgb(var(--color-button-background));
}

.input-subscribe-email--icon .button:hover svg {
    color: rgb(var(--color-button-secondary-text));
    background: rgb(var(--color-button-secondary-background));
}

.input-subscribe-email--icon .field__suffix{
    padding: 5px;
}
@media(max-width: 959px) {
    .input-subscribe-email {
        height: 10.67vw;
    }

    .input-subscribe-email--icon {
        height: auto;
    }

    .input-subscribe-email--icon .field {
        height: 10.67vw;
    }

    .input-subscribe-email--icon .button {
        width: 8vw;
    }
}
